package com.bonus.material.basic.mapper;

import java.util.List;
import com.bonus.material.basic.domain.BmMessage;
import com.bonus.material.lease.domain.DeptDto;
import com.bonus.system.api.domain.SysDept;

/**
 * 消息Mapper接口
 * 
 * @author xsheng
 * @date 2024-12-20
 */
public interface BmMessageMapper {
    /**
     * 查询消息
     * 
     * @param id 消息主键
     * @return 消息
     */
    public BmMessage selectBmMessageById(Long id);

    /**
     * 查询消息列表
     * 
     * @param bmMessage 消息
     * @return 消息集合
     */
    public List<BmMessage> selectBmMessageList(BmMessage bmMessage);
    public List<BmMessage> selectBmMessageListOne(BmMessage bmMessage);

    /**
     * 新增消息
     * 
     * @param bmMessage 消息
     * @return 结果
     */
    public int insertBmMessage(BmMessage bmMessage);

    /**
     * 修改消息
     * 
     * @param bmMessage 消息
     * @return 结果
     */
    public int updateBmMessage(BmMessage bmMessage);

    /**
     * 删除消息
     * 
     * @param id 消息主键
     * @return 结果
     */
    public int deleteBmMessageById(Long id);

    /**
     * 批量删除消息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmMessageByIds(Long[] ids);

    List<DeptDto> getdeptIds();

    /**
     * 根据所属公司查询消息未读数量
     * @param bmMessage
     * @return
     */
    BmMessage getNoReadNum(BmMessage bmMessage);
}
